#
# spec file for package python-xapp
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xapp
Version:        1.8.1
Release:        lp152.1.2
Summary:        Python XApp library
License:        GPL-2.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/linuxmint/python-xapp
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FEATURE-OPENSUSE python-xapp-xdgsu.patch -- Escalate privileges using xdg-su.
Patch0:         python-xapp-xdgsu.patch
BuildRequires:  %{python_module devel}
BuildRequires:  python-rpm-macros
Requires:       python-psutil
Requires:       xdg-utils
BuildArch:      noarch

%description
This project gathers the components which are common to multiple
desktop environments and required to implement cross-DE solutions.

%python_subpackages

%prep
%setup -q
%patch0 -p1

%build
%python_build

%install
%python_install

%files %{python_files}
%license COPYING
%doc debian/changelog
%{python_sitelib}/xapp/
%{python_sitelib}/python_xapp-*.egg-info

%changelog
* Sat Feb  8 2020 Maurizio Galli <maurizio.galli@gmail.com>
- Update to version 1.8.1
  * icon chooser widget: fix kwargs to support current features
    correctly
- Changes from versio 1.8.0
  * Expose new features in the XAppIconChooserDialog to the
    settings widget (#10)
* Mon Jul  1 2019 Dead Mozay <dead_mozay@opensuse.org>
- Update to version 1.6.0:
  * Add GSettingsWidgets and SettingsWidgets (#7)
* Fri Mar 15 2019 Dead Mozay <dead-mozay@opensuse.org>
- Update to version 1.4.0:
  * Bump to version 1.4.0.
* Thu Apr 19 2018 sor.alexei@meowr.ru
- Update to version 1.2.0:
  * Properly bump version in setup.py.
* Mon Jun 12 2017 sor.alexei@meowr.ru
- Update to version 1.0.1:
  * OS: Turn pkexec support into an opt-in and don't set
    DISPLAY/XAUTHORITY.
  * Add mate-polkit agent support.
  * run_with_admin_privs: Use pkexec as a last ditch chance.
  * Support polkit processname under Ubuntu 17.04.
  * OS: Add is_guest_session() and is_live_session().
- Add python-xapp-xdgsu.patch: Escalate privileges using xdg-su.
- Add xdg-utils to requirements for xdg-su.
* Thu May  4 2017 sor.alexei@meowr.ru
- Initial package.
